# Conditional build:
%bcond_without	tests	# unit tests

%define		module	crypt_r
Summary:	A copy of the `crypt` module that was removed in Python 3.13
Name:		python3-crypt-r
Version:	3.13.1
Release:	1
License:	PSL
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/c/crypt-r/%{module}-%{version}.tar.gz
# Source0-md5:	8f37eed58cb8ada45721b703432b819f
URL:		https://pypi.org/project/crypt-r/
BuildRequires:	python3-build
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-installer
%if %{with tests}
BuildRequires:	python3-pytest
%endif
BuildRequires:	python3-devel >= 1:3.13
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The crypt_r module is a renamed copy of the crypt module as it was
present in Python 3.12 before it was removed.

See PEP 594 for details of the removal.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%if %{with tests}
%{__python3} -m zipfile -e build-3/*.whl build-3-test
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest -o pythonpath="$PWD/build-3-test" tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitedir}/*.py
%attr(755,root,root) %{py3_sitedir}/*.so
%{py3_sitedir}/__pycache__/*.py*
%{py3_sitedir}/%{module}-%{version}.dist-info
%changelog
* Fri Jun 06 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-crypt-r.git;a=log;h=master

* Fri Jun 06 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> b2f35af
- Initial

